// swift-tools-version:5.3

import PackageDescription

let package = Package(
    name: "llama",
    products: [
        .library(name: "llama", targets: ["llama"]),
    ],
    targets: [
        .target(
            name: "llama",
            path: ".",
            sources: ["ggml.c", "llama.cpp", "ggml-opencl.c"],
            publicHeadersPath: "spm-headers",
            cSettings: [.unsafeFlags(["-Wno-shorten-64-to-32"]), .define("GGML_USE_ACCELERATE"), .define("GGML_USE_CLBLAST")],
            linkerSettings: [.linkedFramework("Accelerate"), .linkedFramework("OpenCL")]
        ),
    ],
    cxxLanguageStandard: .cxx11
)
